## Gtk2-Ex-WidgetBits-48.tar.gz

=== devel/Makefile ===
# Copyright 2010 Kevin Ryde

# This file is part of Gtk2-Ex-WidgetBits.
#
# Gtk2-Ex-WidgetBits is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3, or (at your option) any
# later version.
#
# Gtk2-Ex-WidgetBits is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
# Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with Gtk2-Ex-WidgetBits.  If not, see <http://www.gnu.org/licenses/>.


grandom: grandom.c Makefile
	gcc -Wall -g `pkg-config --cflags glib-2.0 gtk+-2.0` grandom.c \
	   `pkg-config --libs glib-2.0 gtk+-2.0` -o grandom

grandom-zero: grandom-zero.c Makefile
	gcc -Wall -O2 `pkg-config --cflags glib-2.0 gtk+-2.0` grandom-zero.c \
	   `pkg-config --libs glib-2.0 gtk+-2.0` -o grandom-zero

grandom-array: grandom-array.c Makefile
	gcc -Wall -O2 `pkg-config --cflags glib-2.0 gtk+-2.0` grandom-array.c \
	   `pkg-config --libs glib-2.0 gtk+-2.0` -o grandom-array

=== debian/changelog ===
libgtk2-ex-widgetbits-perl (48-1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42@zip.com.au>  Sun, 05 Aug 2012 15:36:28 +1000

=== debian/control ===
# Copyright 2008, 2009, 2010, 2011, 2012 Kevin Ryde
# 
# This file is part of Gtk2-Ex-WidgetBits.
# 
# Gtk2-Ex-WidgetBits is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
# 
# Gtk2-Ex-WidgetBits is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with Gtk2-Ex-WidgetBits.  If not, see <http://www.gnu.org/licenses/>.


# Build-Depends could have the "maximum_tests" modules from META.yml
# for more tests, but they're optional author tests really and would
# just make the build tools drag in more stuff.

Source: libgtk2-ex-widgetbits-perl
Section: perl
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42@zip.com.au>
Standards-Version: 3.9.3
Homepage: http://user42.tuxfamily.org/gtk2-ex-widgetbits/index.html
Bugs: mailto:user42@zip.com.au

Package: libgtk2-ex-widgetbits-perl
Architecture: all
Depends: perl (>= 5.8), libglib-perl, libglib-ex-objectbits-perl, libgtk2-perl (>= 1:1.200), libscope-guard-perl, ${perl:Depends}, ${misc:Depends}
Replaces: libgtk2-ex-dragger-perl (<< 3)
Description: Gtk2 widget helper bits
 A selection of widget helpers for Gtk2-Perl.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2008, 2009 Kevin Ryde

# This file is part of Gtk2-Ex-WidgetBits.
#
# Gtk2-Ex-WidgetBits is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# Gtk2-Ex-WidgetBits is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Gtk2-Ex-WidgetBits.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perlmodule.mk

DEB_INSTALL_EXAMPLES_libgtk2-ex-widgetbits-perl = examples/*

=== debian/watch ===
# Web site version watch, for devscripts uscan program.

# Copyright 2008, 2009 Kevin Ryde
#
# This file is part of Gtk2-Ex-WidgetBits.
#
# Gtk2-Ex-WidgetBits is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3, or
# (at your option) any later version.
#
# Gtk2-Ex-WidgetBits is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Gtk2-Ex-WidgetBits.  If not, see
# <http://www.gnu.org/licenses/>.


# Crib notes:
# "man uscan" describes the format.
# test with: uscan --report --verbose --watchfile=debian/watch

version=3
http://user42.tuxfamily.org/gtk2-ex-widgetbits/index.html \
	.*/Gtk2-Ex-WidgetBits-([0-9]+)\.tar\.gz
